Name:		pdumpfs
Version:	1.3
Release:	4%{?dist}
Summary:	Daily backup system
Group:		Applications/Archiving
License:	GPLv2
URL:		http://0xcc.net/pdumpfs/index.html.en
Source0:	http://0xcc.net/pdumpfs/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	ruby
Requires:	ruby

%description
pdumpfs is a simple daily backup system similar to Plan9's dumpfs which
preserves every daily snapshot. pdumpfs is written in Ruby. You can
access the past snapshots at any time for retrieving a certain day's
file. Let's backup your home directory with pdumpfs!

pdumpfs constructs the snapshot YYYY/MM/DD in the destination directory.
All source files are copied to the snapshot directory for the first time.
On and after the second time, pdumpfs copies only updated or newly created
files and stores unchanged files as hard links to the files of the previous
day's snapshot for saving a disk space.

%prep
%setup -q

%build
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0755 pdumpfs %{buildroot}%{_bindir}/pdumpfs
%{__install} -Dp -m0644 man/ja/man8/pdumpfs.8 %{buildroot}%{_mandir}/ja/man8/pdumpfs.8
%{__install} -Dp -m0644 man/man8/pdumpfs.8 %{buildroot}%{_mandir}/man8/pdumpfs.8

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root ,root, -)
%doc ChangeLog COPYING doc/ README
%{_mandir}/man8/pdumpfs.8*
%{_mandir}/ja/man8/pdumpfs.8*
%{_bindir}/pdumpfs

%changelog
* Sun Feb 15 2009 Henrique "LonelySpooky" Junior <lspooky@fedoraproject.org> - 1.3-4
- Added japanese man pages

* Sun Feb 15 2009 Henrique "LonelySpooky" Junior <lspooky@fedoraproject.org> - 1.3-3
- Changed the arch to noarch

* Tue Jan 20 2009 Henrique "LonelySpooky" Junior <lspooky@fedoraproject.org> - 1.3-2
- Changes in the .spec file, fixing some sintaxes

* Tue Jan 20 2009 Henrique "LonelySpooky" Junior <lspooky@fedoraproject.org> - 1.3-1
- Initial package - based on Dag's .spec for CentOS
